# -*-mic2-options-*- -f loop --pack-to=@NAME@.tar.gz --runtime=native -*-mic2-options-*-

# 
# Do not Edit! Generated by:
# kickstarter.py
# 

lang en_US.UTF-8
keyboard us
timezone --utc America/Los_Angeles
# ROOT fs partition
part / --size=3000 --ondisk mmcblk0p --fstype=ext4 --label=platform
# DATA partition
part /opt/ --size=3000 --ondisk mmcblk0p --fstype=ext4 --label=data
# UMS partition
part /opt/usr/ --size=3000 --ondisk mmcblk0p --fstype=ext4 --label=ums

rootpw tizen 
bootloader  --timeout=0  --append="rootdelay=5"   

desktop --autologinuser=root  
user --name root  --groups audio,video --password ''

repo --name=Tizen-base --baseurl=https://download.tizen.org/snapshots/2.0/ivi-panda/@BUILD_ID@/repos/base/armv7l/packages/ --ssl_verify=no
repo --name=Tizen-ivi --baseurl=https://download.tizen.org/snapshots/2.0/ivi-panda/@BUILD_ID@/repos/ivi-panda/armv7l/packages/ --ssl_verify=no

%packages

@common
@appscommon
@appstargetsdk
@osp
@trats


%end

%prepackages
eglibc
systemd
busybox
libacl
libcap
dbus-libs
libgcc
libudev
libattr
default-files-tizen
openssl
libprivilege-control
libprivilege-control-conf
security-server
libdlog
libsecurity-server-client
sqlite
tzdata-slp
vconf
Tizen-coreutils
systemd-bootmode
%end


%post
echo 'kickstart post script start'
if [ -d /etc/init.d ]; then
    cp /etc/init.d/* /etc/rc.d/init.d/ -rdf
fi
rm -rf /etc/init.d*
ln -sf /etc/rc.d/init.d /etc/init.d

rm -rf /etc/localtime
ln -sf /opt/etc/localtime /etc/localtime
#rm -rf /usr/share/zoneinfo
#ln -sf /opt/share/zoneinfo /usr/share/zoneinfo

ssh-keygen -t rsa1 -f /etc/ssh/ssh_host_key -N ""
ssh-keygen -t dsa -f /etc/ssh/ssh_host_dsa_key -N ""
ssh-keygen -t rsa -f /etc/ssh/ssh_host_rsa_key -N ""

pkg_initdb

INITDB=1 ail_initdb
/opt/apps/com.samsung.menu-screen/bin/menuscreen_initdb

# ims-service domain setting
RESULT=`grep "192.168.0.163 config.45001.rcse" /etc/hosts`
if [ -z "$RESULT" ]; then
    echo "Set domain for auto configuration"
    echo "192.168.0.163 config.45001.rcse" >> /etc/hosts
else
    echo "Already setted domain for test auto configuration"
fi
# ims-service domain setting

cat > /usr/bin/press << EOF
#!/bin/sh

JUNK="SLP"

[ "\$1" ] && TIMEOUT="\$1" || TIMEOUT="1"

echo "Press return key to stop scripts"
read -t \$TIMEOUT JUNK
exit \$?
EOF
chmod +x /usr/bin/press
mkdir -p /opt/var/lib/dbus
mkdir -p /var/lib/alsa

#pulseAudio patch
echo "PulseAudio Patch for Pandaboard"
chmod 777 /etc/pulse/*
chmod -R 777 /usr/share/pulseaudio/
cp -arf /etc/pulse_bak/* /etc/pulse/
cp -arf /usr/share/pulseaudio_bak/* /usr/share/pulseaudio/
#patch End

ln -s /opt/etc/X11/xkb /usr/share/X11

echo "UDEV_PERSISTENT_STORAGE=no" >> /etc/sysconfig/udev

mv /usr/include/python2.7/pyconfig.h /usr/pyconfig.h
rm -rf /usr/include/*
mkdir -p /usr/include/python2.7
mv /usr/pyconfig.h /usr/include/python2.7/pyconfig.h
rm -rf /usr/share/man
rm -rf /usr/share/doc

ldconfig

#mkdir -p /opt/var/lib/dbus
#mkdir -p /var/lib/alsa

rm -f /var/lib/rpm/__db*
mv -f /var/lib/rpm /opt/var/lib/
ln -sf /opt/var/lib/rpm /var/lib/rpm
rpmdb --rebuilddb

if [ -e /usr/bin/build-backup-data.sh ]; then
           /usr/bin/build-backup-data.sh
fi

/etc/make_info_file.sh Ref.Device-210 Tizen_Ref.Device-210_`date +%Y%m%d.%H%M`

ln -sf /etc/info.ini /opt/etc/info.ini
ln -sf /etc/info.ini /usr/etc/info.ini

#Moving platform to arch specific posts, from common
echo -n 'armv7l-tizen-linux' > /etc/rpm/platform

# invisi-cursor.post
# Config workaround for TIVI-515: Invisible cursor.
cd /opt/home/app/.e/e/config/samsung/
eet -d e.cfg config > a.config
sed -ie s/'value "cursor_size" int: 1'/'value "cursor_size" int: 24'/ a.config
eet -e e.cfg config a.config 1
chown app.app e.cfg
rm a.config


%end

%post --nochroot
if [ -f /etc/device-sec-policy ]; then
 cp -fp /etc/device-sec-policy $INSTALL_ROOT/etc/
fi

if [ -d /etc/smack/accesses.d ]; then
 mkdir -p $INSTALL_ROOT/opt/etc/smack/accesses.d
 cp -rfp /etc/smack/accesses.d/* $INSTALL_ROOT/opt/etc/smack/accesses.d/
fi


%end
